Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class SortingKVTable

    java.lang.Object
      ix.iface.util.KeyValueTable
          ix.iface.util.SortingKVTable

Direct Known Subclasses:
  StateViewTable.ViewTable

    public abstract class SortingKVTable

extends KeyValueTable

A KeyValueTable that lets the user change the key-sorting comparator.

Nested Class Summary
`protected class` | `SortingKVTable.KeySortMouseListener`
`protected class` | `SortingKVTable.KeySortPopupMenu`
`protected class` | `SortingKVTable.SortMenu`

Nested classes/interfaces inherited from class ix.iface.util.KeyValueTable
`KeyValueTable.LexicographicComparator, KeyValueTable.MostRecentFirstComparator, KeyValueTable.MostRecentLastComparator, KeyValueTable.PatternObjectComparator, KeyValueTable.RowPopupMenu, KeyValueTable.ViewJTable, KeyValueTable.ViewTableModel, KeyValueTable.ViewTableMouseListener`

Field Summary

Fields inherited from class ix.iface.util.KeyValueTable
`keyList, keySortComparator, keyTimestamps, model, mouseListener, table, timestamp, viewedMap`

Constructor Summary
`SortingKVTable(java.util.Map initialMap, java.lang.String keyColName, java.lang.String valColName)`
`SortingKVTable(java.lang.String keyColName, java.lang.String valColName)`

Method Summary

Methods inherited from class ix.iface.util.KeyValueTable
`deleteEntry, deleteEntry, doPopupAction, getJTable, getKeySortComparator, getValue, getViewedMap, insertKey, keyTimestamp, keyToString, makePopupMenu, recordNewValue, recordNewValues, reset, setKeySortComparator, timestampKey, valueToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortingKVTable

    public SortingKVTable(java.lang.String keyColName,
                          java.lang.String valColName)

### SortingKVTable

    public SortingKVTable(java.util.Map initialMap,
                          java.lang.String keyColName,
                          java.lang.String valColName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD